#include <iostream>
#include <bits/stdc++.h>

using namespace std;
int main()
{
    int N;
    vector<int> A;
    vector<double> P;
    cin >> N;
    int zarada;
    double procenat;
    bool istiElementi=true;
    int pocZarada;
    int zbir=0;
    cin >> pocZarada >> procenat;
    A.push_back(pocZarada);
    P.push_back(procenat);
    for(int i=1; i<N;i++)
    {
        cin >> zarada >> procenat;
        A.push_back(zarada);
        P.push_back(procenat);
        if(zarada!=pocZarada)
            istiElementi=false;
        zbir+=zarada;
    }
    sort(P.begin(),P.end());
    if(istiElementi)
    {
        if(N%2==0)
            cout << pocZarada/100.00*P[N/2]*N/2;
        else
            cout << pocZarada/100.00*P[(N-1)/2]*(N+1)/2;
    }
    else
    {
        cout << zbir/100.00*P[0];
    }
    return 0;
}